Subject: bug#26604: documentation: pdf generation is broken

From: Ludovic Courtès <[email-masked]>
Date: Fri, 16 Oct 2020 12:13:12 +0200

Hi,

Andreas Enge <[email-masked]> skribis:

> On Mon, Sep 28, 2020 at 09:57:43PM +0200, zimoun wrote:
>> [env]$ make doc/guix.pdf
>
> try this instead:
>     make V=1 pdf
> which will print what happens.
>
> I have the monolithic texlive package in my profile and building the pdf
> "almost worked":
> ...
> doc/images/coreutils-size-map.png>
> !pdfTeX error: /home/andreas/.guix-profile/bin/pdftex (file doc/images/coreutils-graph.png): reading image file failed
>  ==> Fatal error occurred, no output PDF file produced!
>
> It turns out there are a bunch of empty .png files in doc/images/, with
> corresponding non-empty .dot files. I deleted them and installed graphviz
> into my profile in the hope that "make pdf" would create the missing
> .png files, but it does not.
>
> However, the following "almost almost" worked:
> - remove the empty .png files and install graphviz
> - "make"
> - "make pdf"
> I obtained the English, German, French and Spanish pdf documentation, but
> then a lot of complaints about unicode characters for the Russian
> documentation (and "make doc/guix.zh_CN.pdf" also has unicode problems).

Simon, can you close the issue if this is fine on your side as well?

Maybe it’s a matter (as usual…) of choosing the right texlive-* packages.

Thanks,
Ludo’.